Blackhawk Network
Quick Start
- Sign up at blackhawknetwork.com and obtain API credentials
- Create a terminal in the Admin Console with the parameters below
- Start processing — the adapter is pre-built and ready to use
Overview
Blackhawk Network — Gift card processing cards
| Provider ID | blackhawknetwork |
| Category | E-Wallets |
| Website | blackhawknetwork.com |
Supported operations: Verify + Redeem (payments_authorize)
Authentication
Method: OAuth2 Client Credentials
Process:
Step 1: Retrieval token
POST /realms/dev-experience/protocol/openid-connect/token
Content-Type: application/x-www-form-urlencoded
grant_type=client_credentials&client_id={client_id}&client_secret={client_secret}&scope=openid
Step 2: Response
{
"access_token": "eyJ...",
"token_type": "Bearer",
"expires_in": 3600,
"scope": "openid"
}
Step 3: Usage token
Authorization: Bearer {access_token}
Configuration
Required Parameters
| Parameter | Description |
|---|---|
base_url | Base API URL |
client_id | OAuth2 Client ID |
client_secret | OAuth2 Client Secret |
product_line_id | Product Line ID |
Status Mapping
| Provider Status | 4pay Status | Description |
|---|---|---|
APPROVED | Charged | Transaction approved |
DECLINED | Failure | Transaction declined |
PENDING | Processing | Processing |
API Reference
| Method | Endpoint | Description |
|---|---|---|
| GET | /accountProcessing/v1/verifyAccount?account_number={number}&product_line_id={id}&account_type=GiftCard | |
| POST | /accountProcessing/v1/redeem | |
| GET | /accountProcessing/v1/verifyAccount? |